Loading...
Searching...
No Matches
starpu_mpi_ft.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Typedefs

typedef struct _starpu_mpi_checkpoint_template * | starpu_mpi_checkpoint_template_t

## Functions

int | starpu_mpi_checkpoint_init (void)
int | starpu_mpi_checkpoint_shutdown (void)
int | starpu_mpi_checkpoint_template_register (starpu_mpi_checkpoint_template_t *cp_template, int cp_id, int cp_domain,...)
int | starpu_mpi_checkpoint_template_create (starpu_mpi_checkpoint_template_t *cp_template, int cp_id, int cp_domain)
int | starpu_mpi_checkpoint_template_add_entry (starpu_mpi_checkpoint_template_t *cp_template,...)
int | starpu_mpi_checkpoint_template_freeze (starpu_mpi_checkpoint_template_t *cp_template)
int | starpu_mpi_checkpoint_template_submit (starpu_mpi_checkpoint_template_t cp_template, int prio)
int | starpu_mpi_checkpoint_template_print (starpu_mpi_checkpoint_template_t cp_template)